#version 150

in vec4 vertexColor;
in float vertexDistance;
in vec3 xyzPos;

uniform float GameTime;
uniform vec4 ColorModulator;
uniform vec2 u_resolution;
uniform vec2 ScreenSize;

out vec4 fragColor;

void main() {
    vec4 color = vertexColor;
    if (color.a == 0.0) {
        discard;
    }

    /* slot hover colour */
    if (color.r == 255/255.0 && color.g == 255/255.0 && color.b == 255/255.0 && color.a == 128/255.0) {
        color = vec4(0.5, 0.5, 0.5, 0.7); /* < < Your colour goes here (#4e315e)*/
    }
    
    /* checks for tooltip background colour */
    if (color.r == 16/255.0 && color.g == 0/255.0 && color.b == 16/255.0 ) {
        color = vec4(0.0863, 0.0941, 0.1098, 0.95); /* < < Your custom colour goes here*/
    }

    /* checks for tooltip border colours */
    if (color.r >= 0.15686 && color.r <= 0.31373 && color.g == 0 && color.b >= 0.49 && color.b <= 1) { 
        color = vec4(0.0, 0.0, 0.0, 1); /* < < Your custom colour goes here*/
    }

    /* Sodium checkbox colour */
    if(color == vec4(0.5803921568627451, 0.8941176470588236, 0.8274509803921568, 1)){
        color.rgb = vec3(0.10588235294117647, 0.8509803921568627, 0.41568627450980394);
    }
    
    fragColor = color * ColorModulator;
}
